Skip to main content
POST
/
onboarding
/
customers
Begin new customer onboarding application
curl --request POST \
  --url https://api.anchorage-staging.com/v2/onboarding/customers \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entries": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "applicationType": "RIA_PC_INSTITUTION",
  "applicationVersion": 0,
  "externalId": "<string>",
  "submit": true
}
'
{
  "data": {
    "customerId": "<string>",
    "status": "<string>",
    "id": "<string>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Body

application/json
entries
object[]
required

A collection of responses for a set of defined relevant questions.

applicationType
enum<string>

Anchorage Digital provided type of application, RIA_PC_INDIVIDUAL to Onboard RIA Program Customer who is an Individual and RIA_PC_INSTITUTION to Onboard RIA Program Customer that is an Institution.

Available options:
RIA_PC_INSTITUTION,
RIA_PC_INDIVIDUAL
Example:

"RIA_PC_INSTITUTION"

applicationVersion
integer<int32>
default:0

Anchorage Digital version of the application. By default, this value is 0.

externalId
string

External identifier for the customer onboarding application. This value has to be unique for each customer application.

submit
boolean

Optional parameter to try to submit the application if there are no validation errors. This action is irreversible you cannot update the application values after. You can use this to avoid making another api call to POST /v2/onboarding/customers/submit

Response

Customer ID and information of the successfully created customer onboarding application

data
CreateKYCApplicationResponseData · object
required